Subject: [TR] VTR CONVENTION-NEW REPAIR PANELS AND SEAT CONVERSION KITS

From: Joe Alexander <[email-masked]>
Date: Sun, 28 Oct 2012 08:43:01 -0400 (EDT)

If you are at VTR and would like to see new front fender repair panels for
TR4 and TR6 and the Miata seat conversion adapters, we will be at the
Convention on Sunday and Monday.                  Look for the AMBRO-TRIUMPH.

Just hanging out......see more of our stuff donated to Texas Triumphs SILENT
AUCTION.   One will be TR6 carb heat shield as featured on SPEED CHANNEL's
"HARD PARTS"

Joe Alexander
A. R. E.
645 1st Street
Jesup, Iowa 50648
319.464.4711  (cell)
[email-masked]

** [email-masked] **

Archive: http://www.team.net/archive